<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: Link Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structLink-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Link Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a81bf526712099b01ff0c8070e8727504"><td class="memItemLeft" align="right" valign="top"><a id="a81bf526712099b01ff0c8070e8727504"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>host</b></td></tr>
<tr class="separator:a81bf526712099b01ff0c8070e8727504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90489168d50e3b1bbc8bd2fbae6926e0"><td class="memItemLeft" align="right" valign="top"><a id="a90489168d50e3b1bbc8bd2fbae6926e0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>port</b></td></tr>
<tr class="separator:a90489168d50e3b1bbc8bd2fbae6926e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41029c5794e008892cd7b60f102c3754"><td class="memItemLeft" align="right" valign="top"><a id="a41029c5794e008892cd7b60f102c3754"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>path</b></td></tr>
<tr class="separator:a41029c5794e008892cd7b60f102c3754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa70f1ba5bc2c2d8460d3e28836a3110"><td class="memItemLeft" align="right" valign="top"><a id="aaa70f1ba5bc2c2d8460d3e28836a3110"></a>
std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>attrs</b></td></tr>
<tr class="separator:aaa70f1ba5bc2c2d8460d3e28836a3110"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/builds/eclipse/oniro-core/eddie/common/include/<a class="el" href="eddie_8h_source.html">eddie.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
